--- makefile.orig	2008-06-02 09:31:23.000000000 -0500
+++ makefile	2011-05-12 18:57:39.000000000 -0500
@@ -1,15 +1,22 @@
+DESTDIR=
+PREFIX=/usr/local
+
+all: dylibbundler
+
 dylibbundler:
-	g++ -c -I./src ./src/Settings.cpp -o ./Settings.o
-	g++ -c -I./src ./src/DylibBundler.cpp -o ./DylibBundler.o
-	g++ -c -I./src ./src/Dependency.cpp -o ./Dependency.o
-	g++ -c -I./src ./src/main.cpp -o ./main.o
-	g++ -c -I./src ./src/Utils.cpp -o ./Utils.o
-	g++ -o ./dylibbundler ./Settings.o ./DylibBundler.o ./Dependency.o ./main.o ./Utils.o
+	$(CXX) -c -I./src ./src/Settings.cpp -o ./Settings.o
+	$(CXX) -c -I./src ./src/DylibBundler.cpp -o ./DylibBundler.o
+	$(CXX) -c -I./src ./src/Dependency.cpp -o ./Dependency.o
+	$(CXX) -c -I./src ./src/main.cpp -o ./main.o
+	$(CXX) -c -I./src ./src/Utils.cpp -o ./Utils.o
+	$(CXX) -o ./dylibbundler ./Settings.o ./DylibBundler.o ./Dependency.o ./main.o ./Utils.o
 
 clean:
 	rm -f *.o
 	rm -f ./dylibbundler
 	
 install: dylibbundler
-	cp ./dylibbundler /usr/local/bin/dylibbundler
-	chmod 775 /usr/local/bin/dylibbundler
\ No newline at end of file
+	cp ./dylibbundler $(DESTDIR)$(PREFIX)/bin/dylibbundler
+	chmod 775 $(DESTDIR)$(PREFIX)/bin/dylibbundler
+
+.PHONY: all clean install
